defmodule MishkaApi do
  @moduledoc """
  MishkaApi keeps the contexts that define your domain
  and business logic.

  Contexts are also responsible for managing your data, regardless
  if it comes from the database, an external API or others.
  """

  def get_config(item) do
    :mishka_api
    |> Application.fetch_env!(:auth)
    |> Keyword.fetch!(item)
  end

  def cowboy_ip(conn) do
    to_string(:inet_parse.ntoa(conn.remote_ip))
  end
end
